Package org.eclipse.ecf.provider.generic

# Class SSLServerSOContainerGroup

java.lang.Object
org.eclipse.ecf.provider.generic.SOContainerGroup
org.eclipse.ecf.provider.generic.SSLServerSOContainerGroup

All Implemented Interfaces:
  `ISocketAcceptHandler`

public class SSLServerSOContainerGroup extends SOContainerGroup implements ISocketAcceptHandler

Since:
  4.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_BACKLOG`
`static final String`
`DEFAULT_GROUP_NAME`

### Fields inherited from class org.eclipse.ecf.provider.generic.SOContainerGroup

`INVALID_CONNECT, map`

## Constructor Summary

Constructors
Constructor
Description
`SSLServerSOContainerGroup(int port)`
`SSLServerSOContainerGroup(String name, int port)`
`SSLServerSOContainerGroup(String name, ThreadGroup group, int port)`
`SSLServerSOContainerGroup(String name, ThreadGroup group, int port, int backlog)`
`SSLServerSOContainerGroup(String name, ThreadGroup group, int port, int backlog, InetAddress inetAddress)`
`SSLServerSOContainerGroup(String name, ThreadGroup group, int port, InetAddress bindAddress)`
`SSLServerSOContainerGroup(String name, ThreadGroup group, SSLServerSocket sslServerSocket)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`debug(String msg)`
`int`
`getPort()`
`void`
`handleAccept(Socket aSocket)`
`protected void`
`handleSyncAccept(Socket aSocket)`
`boolean`
`isOnTheAir()`
`void`
`putOnTheAir()`
`protected Thread`
`setupListener()`
`void`
`takeOffTheAir()`
`String`
`toString()`
`protected void`
`trace(String msg)`
`protected void`
`traceStack(String msg, Throwable e)`

### Methods inherited from class org.eclipse.ecf.provider.generic.SOContainerGroup

`add, contains, createObjectInputStream, createObjectOutputStream, elements, get, getName, readConnectRequestMessage, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_BACKLOG

public static final int DEFAULT_BACKLOG

See Also:
  - Constant Field Values

### DEFAULT_GROUP_NAME

public static final String DEFAULT_GROUP_NAME

## Constructor Details

### SSLServerSOContainerGroup

public SSLServerSOContainerGroup(String name, ThreadGroup group, int port, int backlog, InetAddress inetAddress)

### SSLServerSOContainerGroup

public SSLServerSOContainerGroup(String name, ThreadGroup group, int port, int backlog)

### SSLServerSOContainerGroup

public SSLServerSOContainerGroup(String name, ThreadGroup group, int port, InetAddress bindAddress)

Parameters:
  `name` - name
  `group` - thread group to use to create thread
  `port` - port
  `bindAddress` - bind address
Since:
  4.4

### SSLServerSOContainerGroup

public SSLServerSOContainerGroup(String name, ThreadGroup group, int port)

### SSLServerSOContainerGroup

public SSLServerSOContainerGroup(String name, int port)

### SSLServerSOContainerGroup

public SSLServerSOContainerGroup(int port)

### SSLServerSOContainerGroup

public SSLServerSOContainerGroup(String name, ThreadGroup group, SSLServerSocket sslServerSocket)

Parameters:
  `name` - name
  `group` - thread group to use
  `sslServerSocket` - the ssl server socket
Since:
  4.6

## Method Details

### trace

protected void trace(String msg)

### traceStack

protected void traceStack(String msg, Throwable e)

### putOnTheAir

public void putOnTheAir() throws IOException

Throws:
  `IOException`

### isOnTheAir

public boolean isOnTheAir()

### takeOffTheAir

public void takeOffTheAir()

### getPort

public int getPort()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setupListener

protected Thread setupListener()

### handleSyncAccept

protected void handleSyncAccept(Socket aSocket) throws Exception

Parameters:
  `aSocket` - socket
Throws:
  `Exception` - if some problem with handling accept
Since:
  4.7

### handleAccept

public void handleAccept(Socket aSocket)

Specified by:
  `handleAccept` in interface `ISocketAcceptHandler`
Overrides:
  `handleAccept` in class `SOContainerGroup`
Parameters:
  `aSocket` - socket

### debug

protected void debug(String msg)